diff options
Diffstat (limited to 'autotest.sh')
-rwxr-xr-x | autotest.sh | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/autotest.sh b/autotest.sh index 48b73283499..61c21dc0ba2 100755 --- a/autotest.sh +++ b/autotest.sh @@ -69,8 +69,8 @@ PHPUNIT_VERSION=$($PHPUNIT --version | cut -d" " -f2) PHPUNIT_MAJOR_VERSION=$(echo "$PHPUNIT_VERSION" | cut -d"." -f1) PHPUNIT_MINOR_VERSION=$(echo "$PHPUNIT_VERSION" | cut -d"." -f2) -if ! [ "$PHPUNIT_MAJOR_VERSION" -gt 3 -o \( "$PHPUNIT_MAJOR_VERSION" -eq 3 -a "$PHPUNIT_MINOR_VERSION" -ge 7 \) ]; then - echo "phpunit version >= 3.7 required. Version found: $PHPUNIT_VERSION" >&2 +if ! [ "$PHPUNIT_MAJOR_VERSION" -gt 4 -o \( "$PHPUNIT_MAJOR_VERSION" -eq 4 -a "$PHPUNIT_MINOR_VERSION" -ge 4 \) ]; then + echo "phpunit version >= 4.4 required. Version found: $PHPUNIT_VERSION" >&2 exit 4 fi |